def var chVar as character.
def var chVar64 as longchar.
def var attrName as character.
def var attrName64 as longchar.
def var intVar as integer.
def var hSaxHandle as handle.
def var hSaxReader as handle.
def var hSaxReader1 as handle.
def var hSaxReader2 as handle.
def var hSaxReader3 as handle.
def var hSaxReader4 as handle.
def var hSaxWriter as handle.
def var hSaxWriter1 as handle.
def var hSaxWriter2 as handle.
def var hSaxWriter3 as handle.
def var hSaxWriter4 as handle.
def var hSaxAttrib as handle.
def var hSaxAttrib1 as handle.
def var hSaxAttrib2 as handle.
def var hSaxAttrib3 as handle.
def var hSaxAttrib4 as handle.
def var errStat as logical.
def var hHandleSys as handle.
def var memoryPointer as memptr.
def var hXNoderef as handle.

/* Statements testing conversion */
create sax-reader hSaxReader.
create sax-reader hSaxReader1 in widget-pool chVar.
create sax-reader hSaxReader2 in widget-pool "SaxWidgetPool".
create sax-reader hSaxReader3 no-error.
create sax-reader hSaxReader4 in widget-pool chVar no-error.
create sax-writer hSaxWriter.
create sax-writer hSaxWriter1 in widget-pool chVar.
create sax-writer hSaxWriter2 in widget-pool "SaxWidgetPool".
create sax-writer hSaxWriter3 no-error.
create sax-writer hSaxWriter4 in widget-pool chVar no-error.
create sax-attributes hSaxAttrib.
create sax-attributes hSaxAttrib1 in widget-pool chVar.
create sax-attributes hSaxAttrib2 in widget-pool "SaxWidgetPool".
create sax-attributes hSaxAttrib3 no-error.
create sax-attributes hSaxAttrib4 in widget-pool chVar no-error.

/* Attributes testing conversion */
chVar = hSaxWriter:encoding.
hSaxWriter:encoding = chVar.
hSaxWriter:encoding = "NewEncoding".
errStat = hSaxWriter:formatted.
hSaxWriter:formatted = true.
hSaxWriter:formatted = errStat.
hSaxHandle = hSaxReader:handler.
hSaxReader1:handler = hSaxHandle.
intVar = hSaxReader:locator-column-number.
intVar = hSaxReader:locator-line-number.
intVar = hSaxReader:parse-status.
errStat = hSaxWriter:strict.
hSaxWriter1:strict = errStat.

/* Methods testing conversion */
errStat = hSaxWriter:declare-namespace(chVar).
errStat = hSaxWriter:declare-namespace(chVar64).
errStat = hSaxWriter:declare-namespace("NameSpaceURI").
errStat = hSaxWriter:declare-namespace(chVar, chVar).
errStat = hSaxWriter:declare-namespace(chVar64, chVar).
errStat = hSaxWriter:declare-namespace("NameSpaceURI", chVar).
errStat = hSaxWriter:declare-namespace(chVar, chVar64).
errStat = hSaxWriter:declare-namespace(chVar64, chVar64).
errStat = hSaxWriter:declare-namespace("NameSpaceURI", chVar64).
errStat = hSaxWriter:declare-namespace(chVar, "prefix").
errStat = hSaxWriter:declare-namespace(chVar64, "prefix").
errStat = hSaxWriter:declare-namespace("NameSpaceURI", "prefix").
hSaxWriter:declare-namespace(chVar64, chVar64).

errStat = hSaxWriter:end-document().
errStat = hSaxWriter:end-element(chVar).
errStat = hSaxWriter:end-element(chVar64).
errStat = hSaxWriter:end-element("Name").
errStat = hSaxWriter:end-element(chVar, chVar).
errStat = hSaxWriter:end-element(chVar64, chVar).
errStat = hSaxWriter:end-element("Name", chVar).
errStat = hSaxWriter:end-element(chVar, chVar64).
errStat = hSaxWriter:end-element(chVar64, chVar64).
errStat = hSaxWriter:end-element("Name", chVar64).
errStat = hSaxWriter:end-element(chVar, "NameSpaceURI").
errStat = hSaxWriter:end-element(chVar64, "NameSpaceURI").
errStat = hSaxWriter:end-element("Name", "NameSpaceURI").
hSaxWriter:end-element(chVar64, chVar64).

chVar = hSaxAttrib:get-value-by-index(intVar).
chVar = hSaxAttrib:get-value-by-index(10).

errStat = hSaxAttrib:insert-attribute(chVar, chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar64).
errStat = hSaxAttrib:insert-attribute("Name", chVar).
errStat = hSaxAttrib:insert-attribute("Name", chVar64).
errStat = hSaxAttrib:insert-attribute(chVar, "Value").
errStat = hSaxAttrib:insert-attribute(chVar64, "Value").
errStat = hSaxAttrib:insert-attribute(chVar, chVar, chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar, chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar64, chVar).
errStat = hSaxAttrib:insert-attribute("Name", chVar, chVar).
errStat = hSaxAttrib:insert-attribute("Name", chVar64, chVar).
errStat = hSaxAttrib:insert-attribute(chVar, "Value", chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, "Value", chVar).
errStat = hSaxAttrib:insert-attribute(chVar, chVar, chVar64).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar, chVar64).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar64, chVar64).
errStat = hSaxAttrib:insert-attribute("Name", chVar, chVar64).
errStat = hSaxAttrib:insert-attribute("Name", chVar64, chVar64).
errStat = hSaxAttrib:insert-attribute(chVar, "Value", chVar64).
errStat = hSaxAttrib:insert-attribute(chVar64, "Value", chVar64).
errStat = hSaxAttrib:insert-attribute(chVar, chVar, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute(chVar64, chVar, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute(chVar64, chVar64, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute("Name", chVar, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute("Name", chVar64, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute(chVar, "Value", "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute(chVar64, "Value", "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar, chVar).
errStat = hSaxWriter:insert-attribute(chVar64, chVar).
errStat = hSaxWriter:insert-attribute(chVar64, chVar64).
errStat = hSaxWriter:insert-attribute("Name", chVar).
errStat = hSaxWriter:insert-attribute("Name", chVar64).
errStat = hSaxWriter:insert-attribute(chVar, "Value").
errStat = hSaxWriter:insert-attribute(chVar64, "Value").
errStat = hSaxWriter:insert-attribute(chVar, chVar, chVar).
errStat = hSaxWriter:insert-attribute(chVar64, chVar, chVar).
errStat = hSaxWriter:insert-attribute(chVar64, chVar64, chVar).
errStat = hSaxWriter:insert-attribute("Name", chVar, chVar).
errStat = hSaxWriter:insert-attribute("Name", chVar64, chVar).
errStat = hSaxWriter:insert-attribute(chVar, "Value", chVar).
errStat = hSaxWriter:insert-attribute(chVar64, "Value", chVar).
errStat = hSaxWriter:insert-attribute(chVar, chVar, chVar64).
errStat = hSaxWriter:insert-attribute(chVar64, chVar, chVar64).
errStat = hSaxWriter:insert-attribute(chVar64, chVar64, chVar64).
errStat = hSaxWriter:insert-attribute("Name", chVar, chVar64).
errStat = hSaxWriter:insert-attribute("Name", chVar64, chVar64).
errStat = hSaxWriter:insert-attribute(chVar, "Value", chVar64).
errStat = hSaxWriter:insert-attribute(chVar64, "Value", chVar64).
errStat = hSaxWriter:insert-attribute(chVar, chVar, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar64, chVar, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar64, chVar64, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute("Name", chVar, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute("Name", chVar64, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar, "Value", "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar64, "Value", "NameSpaceURI").
hSaxAttrib:insert-attribute(chVar64, chVar64, chVar64).
hSaxWriter:insert-attribute(chVar64, chVar64, chVar).

hSaxReader:sax-parse().
hSaxReader:sax-parse-first().
hSaxReader:sax-parse-next().

errStat = hSaxReader:set-input-source(chVar, chVar).
errStat = hSaxReader:set-input-source(chVar, "filename").
errStat = hSaxReader:set-input-source(chVar, hHandleSys).
errStat = hSaxReader:set-input-source(chVar, chVar64).
errStat = hSaxReader:set-input-source(chVar, memoryPointer).
errStat = hSaxReader:set-input-source("mode", chVar).
errStat = hSaxReader:set-input-source("mode", "filename").
errStat = hSaxReader:set-input-source("mode", hHandleSys).
errStat = hSaxReader:set-input-source("mode", chVar64).
errStat = hSaxReader:set-input-source("mode", memoryPointer).
hSaxReader:set-input-source(chVar, memoryPointer).

errStat = hSaxWriter:set-output-destination(chVar, chVar).
errStat = hSaxWriter:set-output-destination(chVar, "filename").
errStat = hSaxWriter:set-output-destination(chVar, chVar64).
errStat = hSaxWriter:set-output-destination(chVar, memoryPointer).
errStat = hSaxWriter:set-output-destination("mode", chVar).
errStat = hSaxWriter:set-output-destination("mode", "filename").
errStat = hSaxWriter:set-output-destination("mode", chVar64).
errStat = hSaxWriter:set-output-destination("mode", memoryPointer).
hSaxWriter:set-output-destination(chVar, memoryPointer).

errStat = hSaxWriter:start-document().
hSaxWriter:start-document().

errStat = hSaxWriter:start-element(chVar).
errStat = hSaxWriter:start-element(chVar64).
errStat = hSaxWriter:start-element("name").
errStat = hSaxWriter:start-element(chVar, chVar).
errStat = hSaxWriter:start-element(chVar64, chVar).
errStat = hSaxWriter:start-element("name", chVar).
errStat = hSaxWriter:start-element(chVar, chVar64).
errStat = hSaxWriter:start-element(chVar64, chVar64).
errStat = hSaxWriter:start-element("name", chVar64).
errStat = hSaxWriter:start-element(chVar, "NamespaceURI").
errStat = hSaxWriter:start-element(chVar64, "NamespaceURI").
errStat = hSaxWriter:start-element("name", "NamespaceURI").
errStat = hSaxWriter:start-element(chVar, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar64, hSaxAttrib).
errStat = hSaxWriter:start-element("name", hSaxAttrib).
errStat = hSaxWriter:start-element(chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:start-element("name", chVar, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:start-element("name", chVar64, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:start-element(chVar64, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:start-element("name", "NamespaceURI", hSaxAttrib).
hSaxWriter:start-element(chVar64, chVar, hSaxAttrib).

errStat = hSaxWriter:write-cdata(chVar).
errStat = hSaxWriter:write-cdata(chVar64).
errStat = hSaxWriter:write-cdata("CDATA_BlockToWrite").
hSaxWriter:write-cdata(chVar64).

errStat = hSaxWriter:write-characters(chVar).
errStat = hSaxWriter:write-characters(chVar64).
errStat = hSaxWriter:write-characters("CDATA_BlockToWrite").
hSaxWriter:write-characters(chVar64).

errStat = hSaxWriter:write-data-element(chVar, chVar).
errStat = hSaxWriter:write-data-element(chVar, chVar64).
errStat = hSaxWriter:write-data-element(chVar64, chVar).
errStat = hSaxWriter:write-data-element(chVar64, chVar64).
errStat = hSaxWriter:write-data-element("name", chVar).
errStat = hSaxWriter:write-data-element("name", chVar64).
errStat = hSaxWriter:write-data-element(chVar, "data").
errStat = hSaxWriter:write-data-element(chVar64, "data").
errStat = hSaxWriter:write-data-element(chVar, chVar, chVar).
errStat = hSaxWriter:write-data-element(chVar, chVar64, chVar).
errStat = hSaxWriter:write-data-element(chVar64, chVar, chVar).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, chVar).
errStat = hSaxWriter:write-data-element("name", chVar, chVar).
errStat = hSaxWriter:write-data-element("name", chVar64, chVar).
errStat = hSaxWriter:write-data-element(chVar, "data", chVar).
errStat = hSaxWriter:write-data-element(chVar64, "data", chVar).
errStat = hSaxWriter:write-data-element(chVar, chVar, chVar64).
errStat = hSaxWriter:write-data-element(chVar, chVar64, chVar64).
errStat = hSaxWriter:write-data-element(chVar64, chVar, chVar64).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, chVar64).
errStat = hSaxWriter:write-data-element("name", chVar, chVar64).
errStat = hSaxWriter:write-data-element("name", chVar64, chVar64).
errStat = hSaxWriter:write-data-element(chVar, "data", chVar64).
errStat = hSaxWriter:write-data-element(chVar64, "data", chVar64).
errStat = hSaxWriter:write-data-element(chVar, chVar, "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar, chVar64, "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar64, chVar, "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar64, chVar64, "NamespaceURI").
errStat = hSaxWriter:write-data-element("name", chVar, "NamespaceURI").
errStat = hSaxWriter:write-data-element("name", chVar64, "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar, "data", "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar64, "data", "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, "data", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, "data", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, "data", chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, "data", chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, "data", chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, "data", chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar64, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar64, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, "data", "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, "data", "NamespaceURI", hSaxAttrib).
hSaxWriter:write-data-element(chVar, chVar, chVar64, hSaxAttrib).

errStat = hSaxWriter:write-fragment(chVar).
errStat = hSaxWriter:write-fragment(chVar64).
errStat = hSaxWriter:write-fragment("FragmentToWrite").
errStat = hSaxWriter:write-fragment(hXNoderef).
hSaxWriter:write-fragment(chVar64).

